# /etc/dhcp/dhcpd.hosts
# Created by Topology-Converter v{{ version }}
#    Template Revision: v4.7.1
#    https://gitlab.com/cumulus-consulting/tools/topology_converter
#    using topology data from: {{ topology_file }}

group {
{% if devices[0].function == "oob-server" %}
  option domain-name-servers {{ devices[0].mgmt_ip }};
  option domain-name "simulation";
  option routers {{ devices[0].mgmt_ip }};
  option www-server {{ devices[0].mgmt_ip }};
  option default-url = "http://{{ devices[0].mgmt_ip }}/onie-installer";{% else %}
    ### GROUP INFORMATION CANNOT BE WRITTEN BECAUSE
         ### There is no device with function = oob-server and
         ### mgmt_ip=x.x.x.x configured{% endif %}
{% for device in devices %}
{%   if device.mgmt_ip is defined -%}
{%     if device.function != "oob-server"-%}
{%       if device.interfaces[0] is defined -%}
 host {{ device.hostname }} {hardware ethernet {{ device.mgmt_mac }}; fixed-address {{ device.mgmt_ip }}; option host-name "{{ device.hostname }}";{% if use_ztp and device.function in ['spine', 'leaf', 'oob-switch', 'exit', 'internet'] and devices[0].function == "oob-server" and devices[0].mgmt_ip is defined %} option cumulus-provision-url "http://{{ devices[0].mgmt_ip }}/cumulus-ztp"; {% endif %} }
{%       endif -%}
{%     endif -%}
{%   endif -%}
{% endfor -%}
}#End of static host group


